From mboxrd@z Thu Jan  1 00:00:00 1970
From: Michael Forney <mforney@mforney.org>
To: list+catgirl@causal.agency
Subject: [PATCH] Mark global variables in chat.h as extern
Date: Thu,  7 May 2020 16:47:40 -0700
Message-Id: <20200507234740.11932-1-mforney@mforney.org>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

This fixes the build with gcc 10, which enables -fno-common by
default.
---
 chat.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/chat.h b/chat.h
index e0266ef..5307f8b 100644
--- a/chat.h
+++ b/chat.h
@@ -162,9 +162,9 @@ void ircFormat(const char *format, ...)
 	__attribute__((format(printf, 1, 2)));
 void ircClose(void);
 
-uint execID;
-int execPipe[2];
-int utilPipe[2];
+extern uint execID;
+extern int execPipe[2];
+extern int utilPipe[2];
 
 enum { UtilCap = 16 };
 struct Util {
-- 
2.26.2


